package salidasautomaticas.main;

import java.util.Calendar;
import java.util.Date;
import java.util.Timer;
import java.util.TimerTask;
import salidasautomaticas.schedule.Temporizador;

public class Main {

    public static void main(String[] args) throws Exception {
        Date horaInicio = new Date(System.currentTimeMillis());

        Calendar c = Calendar.getInstance();
        c.setTime(horaInicio);
//        System.out.println(c.get(Calendar.DAY_OF_WEEK));
        // Si la hora es posterior a las 8am se programa la alarma para el dia siguiente
        if (c.get(Calendar.HOUR_OF_DAY) >= 22) {
            c.set(Calendar.DAY_OF_YEAR, c.get(Calendar.DAY_OF_YEAR) + 1);
        }

        c.set(Calendar.HOUR_OF_DAY, 20);
        c.set(Calendar.MINUTE, 18);
        c.set(Calendar.SECOND, 0);

        horaInicio = c.getTime();
        Timer timer = new Timer();

//        timer.schedule(new Temporizador(), horaInicio, 1);
        timer.schedule(new Temporizador(), 0);
    }


}
